/* Images compare main container */
.images-compare-container {
  display: inline-block;
  position: relative;
  overflow: hidden;
}

/* Images compare front element */
.images-compare-before {
  will-change: clip;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  pointer-events: none;
  overflow: hidden;
}

/* Images compare back element */
.images-compare-after {
  pointer-events: none;
}

/* Responsive image settings */
.images-compare-before img,
.images-compare-after img {
  max-width: 100%;
  height: auto;
  display: block;
}

/* Separator (thin vertical blank line) */
.images-compare-separator {
  position: absolute;
  background: white;
  height: 100%;
  width: 4px;
  z-index: 4;
  left: 0;
  top: 0;
}

/* Drag handle (circle) */
.images-compare-handle {
  height: 30px;
  width: 30px;
  position: absolute;
  left: 50%;
  top: 50%;
  margin-left: -15px;
  margin-top: -15px;
  border: 3px solid white;
  -webkit-border-radius: 1000px;
  -moz-border-radius: 1000px;
  border-radius: 1000px;
  z-index: 5;
  background: #fff;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4px;
}

/* Drag handle arrows */

/* Label */
.images-compare-label {
  font-family: sans-serif;
  text-transform: uppercase;
  font-weight: bold;
  position: absolute;
  top: 10px;
  left: 10px;
  z-index: 1;
  color: rgb(0, 0, 0);
  color: rgba(0, 0, 0, 0.4);
  background: rgb(255, 255, 255);
  background: rgba(255, 255, 255, 0.7);
  padding: 10px;
  border-radius: 5px;
  pointer-events: none;
  display: none;
}

.images-compare-container .images-compare-label {
  display: inherit;
}

.images-compare-before .images-compare-label {
  left: 10px;
}

.images-compare-after .images-compare-label {
  left: auto;
  right: 10px;
}
